---
title: "Gets specific Customer by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-customers-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Gets specific Customer by unique id

`GET` `/customers/{id}`

Operation ID: `get-customers-id`

Gets specific Customer by unique id

## Path parameters

- `id` (integer, int32, required) - Format - int32. Customer id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Customer
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Customer not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /customers/{id}:
    get:
      tags:
        - customers
      summary: Gets specific Customer by unique id
      description: Gets specific Customer by unique id
      operationId: get-customers-id
      parameters:
        - name: id
          in: path
          description: Format - int32. Customer id
          required: true
          schema:
            type: integer
            description: Customer id
            format: int32
            example: 10000
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Customer
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Customer"
              example:
                account_customer:
                  credit_blocked: true
                  credit_limit: 0
                  credit_remaining: 0
                  enabled: true
                  payment_terms: 0
                abn: string
                billing_address:
                  country: string
                  country_code: string
                  state: string
                  suburb: string
                  address_line1: string
                  address_line2: string
                  postcode: string
                  company: string
                  mobile: string
                  phone: string
                  first_name: string
                  last_name: string
                  email: string
                company: string
                customer_number: string
                customer_type:
                  id: 0
                  name: string
                date_of_birth: string
                date_of_birth_withheld: true
                delivery_addresses:
                  - country: string
                    country_code: string
                    state: string
                    suburb: string
                    address_line1: string
                    address_line2: string
                    postcode: string
                    company: string
                    mobile: string
                    phone: string
                    first_name: string
                    last_name: string
                    id: 0
                    default: true
                    modified_on: string
                email: string
                fax: string
                first_name: string
                id: 0
                last_name: string
                loyalty_program:
                  enabled: true
                  points_available: 0
                  points_redeemed: 0
                  points_to_date: 0
                  auto_price_group: true
                  points_available_value: 0
                marketing:
                  receive_email: true
                  receive_post: true
                  receive_sms: true
                mobile: string
                phone: string
                price_groups:
                  - id: 0
                    name: string
                    type: string
                survey_responses:
                  - id: 0
                    question: string
                    answer: string
                website: string
                home_outlet:
                  id: 0
                  name: string
                  modified_on: string
                custom_reference: string
                export_to_web: true
                sales_channels:
                  - id: 0
                    name: string
                    shopify_channel: true
                created_on: string
                modified_on: string
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Customer not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Customer:
      title: ""
      type: object
      properties:
        account_customer:
          $ref: "#/components/schemas/AccountCustomer"
        abn:
          type: string
          description: Abn
          nullable: true
        billing_address:
          $ref: "#/components/schemas/BillingAddress"
        company:
          type: string
          description: Company
          nullable: true
        customer_number:
          type: string
          description: Customer number
          nullable: true
        customer_type:
          $ref: "#/components/schemas/CustomerType"
        date_of_birth:
          type: string
          description: Date of birth
          nullable: true
        date_of_birth_withheld:
          type: boolean
          description: Date of birth with held
        delivery_addresses:
          type: array
          items:
            $ref: "#/components/schemas/DeliveryAddress"
          description: Delivery address
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
        fax:
          type: string
          description: Fax
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        last_name:
          type: string
          description: Last name
          nullable: true
        loyalty_program:
          $ref: "#/components/schemas/LoyaltyProgram"
        marketing:
          $ref: "#/components/schemas/Marketing"
        mobile:
          type: string
          description: Mobile
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        price_groups:
          type: array
          items:
            $ref: "#/components/schemas/PriceGroup"
          description: Price group
          nullable: true
        survey_responses:
          type: array
          items:
            $ref: "#/components/schemas/SurveyResponse"
          description: Survey responses
          nullable: true
        website:
          type: string
          description: Website
          nullable: true
        home_outlet:
          $ref: "#/components/schemas/CustomerOutlet"
        custom_reference:
          type: string
          description: Custom reference
          nullable: true
        export_to_web:
          type: boolean
          description: Export to web
        sales_channels:
          type: array
          items:
            $ref: "#/components/schemas/CustomerSalesChannel"
          description: Sales Channels
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Customer model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    AccountCustomer:
      title: ""
      type: object
      properties:
        credit_blocked:
          type: boolean
          description: Is credit blocked
        credit_limit:
          type: number
          description: Credit limit
          format: double
        credit_remaining:
          type: number
          description: Credit remaining
          format: double
          nullable: true
        enabled:
          type: boolean
          description: Is enabled
        payment_terms:
          type: integer
          description: Payment terms
          format: int32
          nullable: true
      additionalProperties: false
      description: Account customer view model
    BillingAddress:
      title: ""
      type: object
      properties:
        country:
          type: string
          description: Country
          nullable: true
        country_code:
          type: string
          description: Country Code
          nullable: true
        state:
          type: string
          description: State
          nullable: true
        suburb:
          type: string
          description: Suburb
          nullable: true
        address_line1:
          type: string
          description: Address line 1
          nullable: true
        address_line2:
          type: string
          description: Address line 2
          nullable: true
        postcode:
          type: string
          description: Post code
          nullable: true
        company:
          type: string
          description: Company
          nullable: true
        mobile:
          type: string
          description: Mobile phone
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
      additionalProperties: false
      description: Billing address model
    CustomerType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Customer type identifier
          format: int32
        name:
          type: string
          description: Customer type name
          nullable: true
      additionalProperties: false
      description: Customer type model
    DeliveryAddress:
      title: ""
      type: object
      properties:
        country:
          type: string
          description: Country
          nullable: true
        country_code:
          type: string
          description: Country Code
          nullable: true
        state:
          type: string
          description: State
          nullable: true
        suburb:
          type: string
          description: Suburb
          nullable: true
        address_line1:
          type: string
          description: Address line 1
          nullable: true
        address_line2:
          type: string
          description: Address line 2
          nullable: true
        postcode:
          type: string
          description: Post code
          nullable: true
        company:
          type: string
          description: Company
          nullable: true
        mobile:
          type: string
          description: Mobile phone
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        default:
          type: boolean
          description: Is Default
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Delivery Address model
    LoyaltyProgram:
      title: ""
      type: object
      properties:
        enabled:
          type: boolean
          description: Is enabled
        points_available:
          type: number
          description: Points available
          format: double
        points_redeemed:
          type: number
          description: Points redeemed
          format: double
        points_to_date:
          type: number
          description: Points to date
          format: double
        auto_price_group:
          type: boolean
          description: Auto price group
        points_available_value:
          type: number
          description: Points available value
          format: double
          nullable: true
      additionalProperties: false
      description: Loyalty program model
    Marketing:
      title: ""
      type: object
      properties:
        receive_email:
          type: boolean
          description: Receive email
        receive_post:
          type: boolean
          description: Receive post
        receive_sms:
          type: boolean
          description: Receive sms
      additionalProperties: false
      description: Marketing view model
    PriceGroup:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        name:
          type: string
          description: Name
          nullable: true
        type:
          type: string
          description: Type
          nullable: true
      additionalProperties: false
      description: Price group model
    SurveyResponse:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Survey response id
          format: int32
        question:
          type: string
          description: Survey response question
          nullable: true
        answer:
          type: string
          description: Survey response answer
          nullable: true
      additionalProperties: false
      description: Survey Response model
    CustomerOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Customer Outlet Model
    CustomerSalesChannel:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        name:
          type: string
          description: Channel name
          nullable: true
        shopify_channel:
          type: boolean
          description: Is shopify channel
      additionalProperties: false
      description: CustomerSalesChannel Model
```
